Bug 1479405 - [v2v] Drivers ISO filtering is broken
[v2v] Drivers ISO filtering is broken
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity high
: GA
: 5.8.2
Assigned To: Martin Betak
Ilanit Stein
rhev:v2v
: ZStream
Depends On: 1471823
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-08 10:09 EDT by Satoe Imaishi
Modified: 2017-10-23 20:36 EDT (History)
7 users (show)

See Also:
Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1471823
Environment:
Last Closed: 2017-10-23 20:36:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: RHEVM


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-08-08 10:13:18 EDT
New commit detected on ManageIQ/manageiq-content/fine:
https://github.com/ManageIQ/manageiq-content/commit/f4decd1b21b250814c4b4e385ca65a15a95c6750

commit f4decd1b21b250814c4b4e385ca65a15a95c6750
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Tue Jul 18 08:16:00 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Aug 8 10:11:06 2017 -0400

    Merge pull request #143 from matobet/iso-grep
    
    v2v: Fix filtering of drivers ISO to display
    (cherry picked from commit 11d379ee60fa86a97fbeb64f578d8a6571bd5a3f)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1479405

 .../VM/Transform/Import.class/__methods__/list_driver_isos.rb           | 2 +-
 .../VM/Transform/Import.class/__methods__/list_driver_isos_spec.rb      | 2 ++
 2 files changed, 3 insertions(+), 1 deletion(-)
Comment 3 CFME Bot 2017-08-08 10:13:24 EDT
New commit detected on ManageIQ/manageiq-content/fine:
https://github.com/ManageIQ/manageiq-content/commit/f7c06ed1fd1e44ce3588927d8ba70f5ad3f89bbb

commit f7c06ed1fd1e44ce3588927d8ba70f5ad3f89bbb
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Thu Jul 20 11:20:23 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Aug 8 10:12:47 2017 -0400

    Merge pull request #147 from matobet/iso-grep
    
    v2v: Support virtio-win drivers ISO
    (cherry picked from commit 3daa02574c04d212ab8a660c422dfd88eaa9d6aa)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1479405

 .../VM/Transform/Import.class/__methods__/list_driver_isos.rb          | 2 +-
 .../VM/Transform/Import.class/__methods__/list_driver_isos_spec.rb     | 3 +++
 2 files changed, 4 insertions(+), 1 deletion(-)
Comment 4 Ilanit Stein 2017-08-28 02:53:12 EDT
Verified on 5.8.2.0.20170824192913_b09a5f8/RHV-4.1.6-0.1.el7

Drivers bar display now:
rhev-tools-setup*.iso
virtio-win*.iso
Comment 6 errata-xmlrpc 2017-10-23 20:36:38 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005

Note You need to log in before you can comment on or make changes to this bug.